from parallels.common.connections.source_server import SingleServerPanelSourceServer

class CpanelSourceServer(SingleServerPanelSourceServer):
	def __init__(self, node_id, node_settings):
		super(SingleServerPanelSourceServer, self).__init__(
				node_id, node_settings
		)

	def get_unix_vhost_dirs(self, runner, domain_name):
		"""Return list of directories with domain hosting content."""
		return []

	def get_unix_domain_mail_dirs(self, runner, domain_name):
		"""Return list of directories with system domain mail content."""
		return []
